<template>
  <ui-radio-group
    label="Do you like custom layouts? (custom radio elements)"
    hints="select one of the following options"
    :options="options"
    buttons
  >
    <template #default="props">
      <div class="flex flex-row flex-wrap">
        <label
          v-for="option of props.options as RadioGroupOption[]"
          :key="option.id.toString()"
          class="mr-8"
        >
          <input
            v-model="model"
            type="radio"
            :value="option.id"
            :name="props.nativeName"
          />
          {{ option.label }}
        </label>
      </div>
    </template>
  </ui-radio-group>
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import { RadioGroupOption } from '@/propInterfaces'

const model = ref()
const options: RadioGroupOption[] = [
  { id: '1', label: 'Yes' },
  { id: '2', label: 'No' },
]
</script>
